Execute Stablecoin Swap
curl --request POST \
--url https://crypto.westminister.tech/api/v1/auth/swaps \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"quote_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://crypto.westminister.tech/api/v1/auth/swaps"
payload = { "quote_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({quote_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://crypto.westminister.tech/api/v1/auth/swaps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"swap": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"wallet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"treasury_wallet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"treasury_collection_wallet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"treasury_payout_wallet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quote_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pricing_profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rate_quote_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"network": "<string>",
"from_asset": "<string>",
"to_asset": "<string>",
"from_amount": "<string>",
"to_amount": "<string>",
"min_to_amount": "<string>",
"exchange_rate": "<string>",
"fee_amount": "<string>",
"fee_bps": 123,
"reserved_treasury_amount": "<string>",
"collection_transfer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payout_transfer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"refund_transfer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quote_expires_at": "2023-11-07T05:31:56Z",
"failure_reason": "<string>",
"completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"collection_transfer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider_transfer_id": "<string>",
"idempotent_replay": true,
"message": "<string>"
}Stablecoin Swaps
Execute Stablecoin Swap
Consumes an unexpired quote, reserves merchant input and treasury output balances, and starts the merchant-to-treasury collection transfer. The reconciler starts treasury payout only after collection confirms. Completion is returned by GET after both legs confirm and both asset balances synchronize. Only BitGo provider-managed merchant and treasury wallets are accepted. External and self-custody wallets are rejected.
POST
/
api
/
v1
/
auth
/
swaps
Execute Stablecoin Swap
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Unique key for this quote execution. Replays return the original swap.
Maximum string length:
128Body
application/json
Response
Idempotent replay of an existing swap
⌘I